import javax.tools.Tool;
import javax.tools.ToolProvider;

public class CompilerExample1 
{
    public static void main(String... arguments) 
    {Tool javac = ToolProvider.getSystemJavaCompiler();
     System.exit(javac.run(null, null, null, arguments));
    }
}
